﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS500/600/700 Check Trig Status IEEE
INSTRUMENT:            Sub TDS500/600/700 Adjust Trig Level IEEE
INSTRUMENT:            Sub TDS500/600/700 Main or Delayed Trigger IEEE
INSTRUMENT:            Sub TDS500/600/700 Read Time by Cursor Walker IEEE
INSTRUMENT:            Sub TDS500/600/700 Cursor Reading IEEE
DATE:                  2011-04-29 11:25:18
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       277
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds500_600_700_trig_cursor_utils_ieee.txt,v $
#    $Date: 2009/10/14 15:02:25 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 500
#          TDS 520, TDS 540
#        TDS 500A
#          TDS 510A, TDS 520A, TDS 524A, TDS 540A, TDS 544A
#        TDS 500B
#          TDS 520B, TDS 540B
#        TDS 500C
#          TDS 520C, TDS 540C
#        TDS 500D
#          TDS 520D, TDS 540D, TDS 580D
#        TDS 600A
#          TDS 620A, TDS 640A, TDS 644A, TDS 684A
#        TDS 600B
#          TDS 620B, TDS 644B, TDS 680B, TDS 684B
#        TDS 600C
#          TDS 654C, TDS 680C, TDS 684C, TDS 694C
#        TDS 700A
#          TDS 724A, TDS 744A, TDS 754A, TDS 782A, TDS 784A
#        TDS 700C
#          TDS 724C, TDS 754C, TDS 784C
#        TDS 700D
#          TDS 724D, TDS 754D, TDS 784D, TDS 794D
#        TDS 714L
#          TDS 714L
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         CHECK_TRIG_STATUS            PSUBI("Check Trig Status")
  1.002  JMPL         ADJUST_TRIG_LEVEL            PSUBI("Adjust Trig Level")
  1.003  JMPL         MAIN_OR_DELAYED_TRIGGER      PSUBI("Main or Delayed")
  1.004  JMPL         READ_TIME                    PSUBI("Read Time")
  1.005  JMPL         CURSOR_READING               PSUBI("Cursor Reading")
  1.006  DISP         Undefined subprocedure!
  1.007  END

  1.008  EVAL   Increment step number

#*************************** Check Trig Status ****************************

  2.001  LABEL        CHECK_TRIG_STATUS
# Set the times of trigger checking
  2.002  MATH         LoopCounter = 0

# Check the status of trigger
  2.003  DO
  2.004  IEEE2        [D250]TRIG:STATE?[I$][D50]

  2.005  IF           FINDI(MEM2, "PART", 1)
  2.006  MATH         @Triggered = 2
  2.007  ELSEIF       FINDI(MEM2, "TRIG", 1)
  2.008  MATH         @Triggered = 1
  2.009  ELSE
  2.010  MATH         @Triggered = 0
  2.011  ENDIF

  2.012  MATH         LoopCounter = LoopCounter + 1
  2.013  UNTIL        (LoopCounter >= @TriggeredChkTimes) || @Triggered

  2.014  END

  2.015  EVAL   Increment step number

#*************************** Adjust Trig Level *****************************

  3.001  LABEL        ADJUST_TRIG_LEVEL
# If not trigged adjust the trigger level from specified level to +peak by
# adjust step.
  3.002  MATH         AmplVp = @AmplVpp / 2
  3.003  MATH         TrigLevel = @StartLev

  3.004  IF           ZCMPI(@TrigObj, "Main")
  3.005  MATH         LoopCondition = NOT(@Triggered) && (TrigLevel <= AmplVp)
  3.006  ELSE
  3.007  MATH         LoopCondition = (TrigLevel <= AmplVp)
  3.008  ENDIF

  3.009  WHILE        LoopCondition
  3.010  MATH         TrigLevel = TrigLevel + @StepVal
# Convert the trig level to millivolts.
  3.011  MATH         TL = FMT(INT(TrigLevel / 1E-3), "%.0f")

# Set new trigger level to the channel under test, then read the response.
  3.012  IF           ZCMPI(@TrigObj, "Main")
  3.013  HEAD         MAIN TRIGGER SENSITIVITY: (Trig Level: [V TL] mV)
  3.014  IEEE2        TRIG:MAI:LEV [V TrigLevel]
  3.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
# Re-calculate the loop condition.
  3.016  MATH         LoopCondition = NOT(@Triggered) && (TrigLevel <= AmplVp)

  3.017  ELSE
  3.018  HEAD         DELAYED TRIGGER SENSITIVITY: (Trig Level: [V TL] mV)
  3.019  IEEE2        TRIG:DEL:LEV [V TrigLevel]
# Abort the loop after adjusting the delayed trig level once for the response
# needs to be checked outside the loop. The delayed trig level would not
# be adjusted again until the stable partial trigger is gotten.
  3.020  MATH         LoopCondition = 0
  3.021  ENDIF

# Save current trig level as the next calling start of trig level.
  3.022  MATH         @StartLev = TrigLevel
  3.023  ENDW

  3.024  END

  3.025  EVAL   Increment step number

#************************* Main or Delayed Trigger ********************

  4.001  LABEL        MAIN_OR_DELAYED_TRIGGER
# Reset the master watchdog counter and trigger success flag.
  4.002  MATH         MasterCounter = 0; StableTrigCounter = 0
  4.003  MATH         @TriggerStable = 0; PartialTrigCounter = 0
# Initialize the start of trig level.
  4.004  MATH         @StartLev = -1 * (@AmplVpp / 2)

  4.005  DO
  4.006  CALL         Sub TDS500/600/700 Check Trig Status IEEE

# If "REAdy", the main trigger level should be re-adjusted.
  4.007  IF           NOT(@Triggered)
# Reset the good trigger counter and partial trigger counter before adjusting.
  4.008  MATH         StableTrigCounter = 0; PartialTrigCounter = 0
  4.009  MATH         @TrigObj = "Main"
  4.010  CALL         Sub TDS500/600/700 Adjust Trig Level IEEE

# If "PARTial" stable three times, the delay trigger level should be adjusted.
  4.011  ELSEIF       @Triggered == 2
  4.012  MATH         PartialTrigCounter = PartialTrigCounter + 1

  4.013  IF           PartialTrigCounter > 2
# Reset partial trigger counter before adjusting.
  4.014  MATH         PartialTrigCounter = 0
  4.015  MATH         @TrigObj = "Delayed"
  4.016  CALL         Sub TDS500/600/700 Adjust Trig Level IEEE
  4.017  ENDIF

# If "TRIGged" stable ten times, Increment the good trigger counter
  4.018  ELSE
  4.019  MATH         StableTrigCounter = StableTrigCounter + 1

  4.020  ENDIF

# Increment Master Watchdog counter
  4.021  MATH         MasterCounter = MasterCounter + 1
  4.022  UNTIL        MasterCounter > 200 || StableTrigCounter > 9

  4.023  MATH         @TriggerStable = StableTrigCounter > 9

  4.024  END

  4.025  EVAL   Increment step number

# ************************ Read Time by Cursor Walker ***********************

  5.001  LABEL        READ_TIME
# Set the horizontal starting position of cursor walker.
  5.002  MATH         CursorPos = @StartPos
# Set the horizontal maximum ending position of cursor walker (+5 div).
  5.003  MATH         StopPos = -2 * @StartPos
# Locate the cursor at the start firstly.
  5.004  IEEE2        CURS:PAI:POSITION1 [V CursorPos]

  5.005  DO

  5.006  IF           CursorPos == @StartPos
# Wait to avoid the instable reading at the beginning.
  5.007  WAIT         [D1000]
  5.008  ENDIF

# Get the vertical reading of cursor located.
  5.009  IEEE2        CURS:PAI:HPOS1?[I]
  5.010  MATH         MEM = MEM / 1E-3

# If found the reading is just crossing the zero, record the time value
  5.011  IF           MEM >= 0
  5.012  MATH         CrossZero = 1
  5.013  MATH         @TimeVal = CursorPos

# If found the waveform reading is under the zero, adjust step value. As it is
# closer to the zero, the step value becomes smaller in order more accurate.
  5.014  ELSEIF       MEM >= -5  &&  MEM < 0
  5.015  MATH         CrossZero = 0
  5.016  MATH         CursorPos = CursorPos + 0.5E-12

  5.017  ELSEIF       MEM >= -50  &&  MEM < -5
  5.018  MATH         CrossZero = 0
  5.019  MATH         CursorPos = CursorPos + 2E-12

  5.020  ELSE
  5.021  MATH         CrossZero = 0
  5.022  MATH         CursorPos = CursorPos + 20E-12
  5.023  ENDIF

# Locate the cursor to the position of waveform.
  5.024  IEEE2        CURS:PAI:POSITION1 [V CursorPos]

# End up the loop until finding the point of cross zero or cursor has moved
# out of the screen.
  5.025  UNTIL        (CursorPos > StopPos) || CrossZero

  5.026  END

  5.027  EVAL   Increment step number

# **************************** Cursor Reading *****************************

  6.001  LABEL        CURSOR_READING
  6.002  MATH         LoopCounter = 0

  6.003  DO
  6.004  IEEE2        ACQ:STATE RUN
  6.005  WAIT         [D350]
  6.006  IEEE2        CURSOR:PAIRED:HPOS1?[I]

  6.007  IF           LoopCounter == 0
  6.008  MATH         L[1] = MEM
  6.009  ELSEIF       LoopCounter == 1
  6.010  MATH         L[2] = MEM
  6.011  ELSE
  6.012  MATH         L[3] = MEM
  6.013  ENDIF

  6.014  MATH         LoopCounter = LoopCounter + 1
  6.015  UNTIL        LoopCounter > 2

  6.016  MATH         @CursVal = MAX_L(1, 3)
  6.017  END


